ucs-ec2-tools (3.0.0-12) unstable; urgency=medium

  * Fix reset() function for kvm VMs (Bug #46366)

 -- Richard Ulmer <ulmer@univention.de>  Wed, 25 Apr 2018 15:39:11 +0200

ucs-ec2-tools (3.0.0-11) unstable; urgency=medium

  * Added debug for instance timeout (Bug #46560)

 -- Stefan Gohmann <gohmann@univention.de>  Fri, 09 Mar 2018 07:02:42 +0100

ucs-ec2-tools (3.0.0-10) unstable; urgency=medium

  * Import missing exception from ssl module (Bug #46522)

 -- Stefan Gohmann <gohmann@univention.de>  Wed, 07 Mar 2018 07:23:21 +0100

ucs-ec2-tools (3.0.0-9) unstable; urgency=medium

  * Try again if an SSL error happend (Bug #46522)

 -- Stefan Gohmann <gohmann@univention.de>  Wed, 07 Mar 2018 06:32:57 +0100

ucs-ec2-tools (3.0.0-8) unstable; urgency=low

  * Bug #45303: Adapt to new scenarios/ layout

 -- Philipp Hahn <hahn@univention.de>  Wed, 20 Sep 2017 15:44:41 +0200

ucs-ec2-tools (3.0.0-7) unstable; urgency=medium

  * Bug #44513: fix test for external drive

 -- Erik Damrose <damrose@univention.de>  Mon, 08 May 2017 10:57:07 +0200

ucs-ec2-tools (3.0.0-6) unstable; urgency=medium

  * Bug #44513: Add several kvm_ parameters for KVM instances
  * Add support for external disks, and use ucs-kt-instance-create to start
    new instances

 -- Erik Damrose <damrose@univention.de>  Fri, 05 May 2017 13:56:56 +0200

ucs-ec2-tools (3.0.0-5) unstable; urgency=medium

  * Bug #43218: Added --keep-cdrom flag to ucs-kvm-create

 -- Richard Ulmer <ulmer@univention.de>  Mon, 06 Mar 2017 11:26:29 +0100

ucs-ec2-tools (3.0.0-4) unstable; urgency=medium

  * Bug #42752: Replace sudo virsh calls

 -- Erik Damrose <damrose@univention.de>  Mon, 24 Oct 2016 15:48:12 +0200

ucs-ec2-tools (3.0.0-3) unstable; urgency=low

  * Bug #42281: Check VMs for validity

 -- Philipp Hahn <hahn@univention.de>  Wed, 21 Sep 2016 10:14:32 +0200

ucs-ec2-tools (3.0.0-2) unstable; urgency=low

  * Bug #42281: Add EC2 tagging

 -- Philipp Hahn <hahn@univention.de>  Thu, 15 Sep 2016 10:43:24 +0200

ucs-ec2-tools (3.0.0-1) unstable; urgency=low

  * Bug #39349: Move to trunk/

 -- Philipp Hahn <hahn@univention.de>  Wed, 25 May 2016 10:29:13 +0200

ucs-ec2-tools (2.0.0-22) unstable; urgency=low

  * Bug #41253: Switch to UCS-4.1-2 AMI

 -- Philipp Hahn <hahn@univention.de>  Wed, 11 May 2016 17:30:50 +0200

ucs-ec2-tools (2.0.0-21) unstable; urgency=medium

  * Bug #40942: Support upgrade Non-Docker->Docker

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 18 Apr 2016 13:28:10 +0200

ucs-ec2-tools (2.0.0-20) unstable; urgency=medium

  * Bug #40942: Install ucs-test before installing App

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 13 Apr 2016 10:12:26 +0200

ucs-ec2-tools (2.0.0-19) unstable; urgency=medium

  * Bug #40942: Fix install_apps_master_packages

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 13 Apr 2016 01:19:26 +0200

ucs-ec2-tools (2.0.0-18) unstable; urgency=medium

  * Bug #40942: Use --username in univention-app

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Sat, 02 Apr 2016 23:32:15 +0200

ucs-ec2-tools (2.0.0-17) unstable; urgency=medium

  * Bug #40942: Install when not installed, upgrade when installed

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Sat, 02 Apr 2016 02:55:35 +0200

ucs-ec2-tools (2.0.0-16) unstable; urgency=medium

  * Bug #40942: Use latest App ini files

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 01 Apr 2016 14:27:08 +0200

ucs-ec2-tools (2.0.0-15) unstable; urgency=medium

  * Bug #40942: Install Docker Apps via univention-app

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 24 Mar 2016 16:42:50 +0100

ucs-ec2-tools (2.0.0-14) unstable; urgency=low

  * Bug #40621: New 4.1-1r2 AMI image

 -- Philipp Hahn <hahn@univention.de>  Tue, 15 Mar 2016 09:58:15 +0100

ucs-ec2-tools (2.0.0-13) unstable; urgency=low

  * Bug #40611: disabled docker test in run_admember_tests

 -- Felix Botner <botner@univention.de>  Tue, 09 Feb 2016 16:22:05 +0100

ucs-ec2-tools (2.0.0-12) unstable; urgency=low

  * Bug #40553: Add 'recover' option

 -- Philipp Hahn <hahn@univention.de>  Wed, 03 Feb 2016 07:34:55 +0100

ucs-ec2-tools (2.0.0-11) unstable; urgency=medium

  * Bug #38984: more verbose error handling

 -- Florian Best <best@univention.de>  Thu, 17 Dec 2015 16:33:42 +0100

ucs-ec2-tools (2.0.0-10) unstable; urgency=low

  * Bug #39736 (undo): Restore ucslint

 -- Philipp Hahn <hahn@univention.de>  Mon, 14 Dec 2015 14:10:34 +0100

ucs-ec2-tools (2.0.0-9) unstable; urgency=low

  * Bug #39818: Stop upgrade_to_latest_test_errata performg releas updates

 -- Philipp Hahn <hahn@univention.de>  Mon, 14 Dec 2015 14:00:54 +0100

ucs-ec2-tools (2.0.0-8) unstable; urgency=low

  * Bug #38984: Ignore SSH exceptions

 -- Philipp Hahn <hahn@univention.de>  Mon, 16 Nov 2015 14:11:21 +0100

ucs-ec2-tools (2.0.0-7) unstable; urgency=medium

  * Don't fail during an unknown SSH error (Bug #38984)

 -- Stefan Gohmann <gohmann@univention.de>  Sun, 15 Nov 2015 11:08:56 +0100

ucs-ec2-tools (2.0.0-6) unstable; urgency=low

  * Bug #39566: added ucs-kvm-create-dynamic to ucslint.overrides 

 -- Julian Hupertz <hupertz@univention.de>  Thu, 15 Oct 2015 18:05:15 +0200

ucs-ec2-tools (2.0.0-5) unstable; urgency=low

  * Bug #39566: added ucs-kvm-create-dynamic to UCS-4.1-0 to parametrize the
  	IPv6-Tests in Jenkins

 -- Julian Hupertz <hupertz@univention.de>  Thu, 15 Oct 2015 17:34:37 +0200

ucs-ec2-tools (2.0.0-4) unstable; urgency=medium

  * Bug #38984: ucs-kvm-create: Start instances in sequence, as paramiko has
    problems with many concurrent connections

 -- Erik Damrose <damrose@univention.de>  Thu, 15 Oct 2015 10:14:58 +0200

ucs-ec2-tools (2.0.0-3) unstable; urgency=low

  * Bug #38984: Detect ucs-kt-get errors

 -- Philipp Hahn <hahn@univention.de>  Mon, 05 Oct 2015 14:09:33 +0200

ucs-ec2-tools (2.0.0-2) unstable; urgency=low

  * Bug #39356: Add support for environment variable substitution

 -- Philipp Hahn <hahn@univention.de>  Wed, 30 Sep 2015 12:51:53 +0200

ucs-ec2-tools (2.0.0-1) unstable; urgency=low

  * Bug #38517: remove bashism

 -- Daniel Troeder <troeder@univention.de>  Thu, 10 Sep 2015 12:36:52 +0200

ucs-ec2-tools (2.0.0-0) unstable; urgency=low

  * bump version (Bug #39324)

 -- Daniel Troeder <troeder@univention.de>  Thu, 10 Sep 2015 13:27:54 +0200

ucs-ec2-tools (1.0.12-22) unstable; urgency=low

  * Bug #39324: rename testing repositories

 -- Daniel Troeder <troeder@univention.de>  Thu, 10 Sep 2015 11:27:18 +0200

ucs-ec2-tools (1.0.12-21) unstable; urgency=low

  * Bug #39291: Do not close stderr

 -- Philipp Hahn <hahn@univention.de>  Mon, 31 Aug 2015 17:41:06 +0200

ucs-ec2-tools (1.0.12-20) unstable; urgency=low

  * Bug #34819: Support additional EC2 disks
  * Bug #39006: Fix EC2 meta-data service

 -- Philipp Hahn <hahn@univention.de>  Wed, 22 Jul 2015 13:34:57 +0200

ucs-ec2-tools (1.0.12-19) unstable; urgency=low

  * Bug #34382: Check for missing local files

 -- Philipp Hahn <hahn@univention.de>  Wed, 22 Jul 2015 07:32:08 +0200

ucs-ec2-tools (1.0.12-18) unstable; urgency=low

  * Bug #38673: Return error code

 -- Philipp Hahn <hahn@univention.de>  Tue, 21 Jul 2015 08:36:27 +0200

ucs-ec2-tools (1.0.12-17) unstable; urgency=low

  * App Appliance: Do not use UCS version in the name (Bug #38624)

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 13 Jul 2015 21:48:32 +0200

ucs-ec2-tools (1.0.12-16) unstable; urgency=medium

  * Bug #38869: fix IndexError for not defined commands

 -- Florian Best <best@univention.de>  Thu, 09 Jul 2015 15:00:57 +0200

ucs-ec2-tools (1.0.12-15) unstable; urgency=medium

  *  Bug #37537: Add univention-welcome-screen to the default downloaded
  	 packages

 -- Florian Best <best@univention.de>  Tue, 30 Jun 2015 12:31:25 +0200

ucs-ec2-tools (1.0.12-14) unstable; urgency=medium

  * Bug #38624: Log app installation output

 -- Erik Damrose <damrose@univention.de>  Thu, 04 Jun 2015 10:40:23 +0200

ucs-ec2-tools (1.0.12-13) unstable; urgency=medium

  * Create install script for every app (Bug #38624)

 -- Stefan Gohmann <gohmann@univention.de>  Thu, 04 Jun 2015 08:21:37 +0200

ucs-ec2-tools (1.0.12-12) unstable; urgency=medium

  * App Appliance: move dependency to the ini files (Bug #38624)
  * App Appliance: rename the appliances (Bug #38624)

 -- Stefan Gohmann <gohmann@univention.de>  Thu, 04 Jun 2015 07:44:23 +0200

ucs-ec2-tools (1.0.12-11) unstable; urgency=medium

  * Bug #38624: Modify base_appliance script to use univention-install

 -- Erik Damrose <damrose@univention.de>  Wed, 03 Jun 2015 16:45:17 +0200

ucs-ec2-tools (1.0.12-10) unstable; urgency=medium

  * Added app appliance job (Bug #38624)

 -- Stefan Gohmann <gohmann@univention.de>  Sun, 31 May 2015 11:25:50 +0200

ucs-ec2-tools (1.0.12-9) unstable; urgency=low

  *  examples/jenkins/autotest-232-adsync-w2k8r2-english.cfg
     examples/jenkins/autotest-232-adsync-w2k8r2-english-same-domain.cfg
    renamed to correct Windows version (Bug #37290).

 -- Dmitry Galkin <galkin@univention.de>  Tue, 14 Apr 2015 16:49:21 +0200

ucs-ec2-tools (1.0.12-8) unstable; urgency=low

  *  examples/jenkins/autotest-232-adsync-w2k8-english-same-domain.cfg
     examples/jenkins/autotest-231-adsync-w2k12-german.cfg
     examples/jenkins/autotest-233-adsync-w2k12r2-france.cfg
     examples/jenkins/autotest-232-adsync-w2k8-english.cfg
    new configs to run_adconnector tests (Bug #37290).

 -- Dmitry Galkin <galkin@univention.de>  Tue, 14 Apr 2015 16:42:26 +0200

ucs-ec2-tools (1.0.12-7) unstable; urgency=low

  * examples/jenkins/utils/utils.sh: added run_adconnector_tests to
    run 55_adconnector/* tests (Bug #37290).

 -- Dmitry Galkin <galkin@univention.de>  Tue, 14 Apr 2015 16:10:56 +0200

ucs-ec2-tools (1.0.12-6) unstable; urgency=low

  * Bug #35744: Add Jenkins URL.

 -- Philipp Hahn <hahn@univention.de>  Tue, 14 Apr 2015 10:09:09 +0200

ucs-ec2-tools (1.0.12-5) unstable; urgency=low

  * utils/ad-join.py: added functionality to join in sync mode (Bug #37290).

 -- Dmitry Galkin <galkin@univention.de>  Fri, 10 Apr 2015 16:49:54 +0200

ucs-ec2-tools (1.0.12-4) unstable; urgency=low

  * jenkins/autotest-228-admember-installation-w2k12-german-other-join-user.cfg:
    use 'Domanen-Admins' when creating a new admin (Bug #38118).

 -- Dmitry Galkin <galkin@univention.de>  Tue, 24 Mar 2015 14:44:42 +0100

ucs-ec2-tools (1.0.12-3) unstable; urgency=low

  * jenkins/autotest-224-admember-module-w2k12-german-other-join-user.cfg:
    use 'Domanen-Admins' when creating a new admin (Bug #38118).

 -- Dmitry Galkin <galkin@univention.de>  Tue, 24 Mar 2015 14:35:14 +0100

ucs-ec2-tools (1.0.12-2) unstable; urgency=low

  * examples/jenkins/autotest-093-backup-s4.cfg: removed the
    samba debug level = 4 setting. (Bug #37884).

 -- Dmitry Galkin <galkin@univention.de>  Fri, 20 Mar 2015 14:06:39 +0100

ucs-ec2-tools (1.0.12-1) unstable; urgency=low

  * examples/jenkins/autotest-225-admember-module-w2k12r2-france.cfg:
    examples/jenkins/autotest-229-admember-installation-w2k12r2-france.cfg:
    added DOMAIN_MODE=False when calling shutdown_windows_host (Bug #37568).

 -- Dmitry Galkin <galkin@univention.de>  Fri, 20 Mar 2015 11:16:29 +0100

ucs-ec2-tools (1.0.11-1) unstable; urgency=low

  * ucs-ec2-tools/examples/jenkins/utils/utils.sh: added missing " (Bug #37568).

 -- Dmitry Galkin <galkin@univention.de>  Fri, 20 Mar 2015 11:12:35 +0100

ucs-ec2-tools (1.0.10-2) unstable; urgency=low

  * examples/jenkins/autotest-230-master-s4-w2k12-member-join.cfg:
    call shutdown_windows_host with DOMAIN_MODE=True (Bug #37568).

 -- Dmitry Galkin <galkin@univention.de>  Fri, 20 Mar 2015 11:06:09 +0100

ucs-ec2-tools (1.0.10-1) unstable; urgency=low

  * examples/jenkins/utils/utils.sh: call shutdown_windows_host with
    optional DOMAIN_MODE argument (Bug #37568).

 -- Dmitry Galkin <galkin@univention.de>  Fri, 20 Mar 2015 10:56:40 +0100

ucs-ec2-tools (1.0.9-9) unstable; urgency=low

  * added app uninstall tests Bug #31876 

 -- Felix Botner <botner@univention.de>  Wed, 11 Mar 2015 12:01:35 +0100

ucs-ec2-tools (1.0.9-8) unstable; urgency=low

  * examples/jenkins/autotest-230-master-s4-w2k12-member-join.cfg: run all
    tests that require a native windows to be in the domain (Bug #37572);
    examples/jenkins/utils/utils.sh: added function to run tests with a
    tag "native_win_client" (Bug #37572).

 -- Dmitry Galkin <galkin@univention.de>  Mon, 02 Mar 2015 15:16:44 +0100

ucs-ec2-tools (1.0.9-7) unstable; urgency=low

  * Bug #37878: Added functions to start jobs simultaneously on multiple
    hosts to utils-local.sh

 -- Erik Damrose <damrose@univention.de>  Wed, 25 Feb 2015 11:34:08 +0100

ucs-ec2-tools (1.0.9-6) unstable; urgency=medium

  * examples/jenkins/autotest-230-master-s4-w2k12-member-join.cfg: removed
    testing comments (Bug #37568).

 -- Dmitry Galkin <galkin@univention.de>  Tue, 24 Feb 2015 12:25:49 +0100

ucs-ec2-tools (1.0.9-5) unstable; urgency=low

  * examples/jenkins/autotest-230-master-s4-w2k12-member-join.cfg: added sleep
    after GPMC installation on Windows Host (Bug #37568).

 -- Dmitry Galkin <galkin@univention.de>  Tue, 24 Feb 2015 11:39:11 +0100

ucs-ec2-tools (1.0.9-4) unstable; urgency=low

  * examples/jenkins/autotest-230-master-s4-w2k12-member-join.cfg: set
    admin_dn and password before Windows join;
    examples/jenkins/utils/utils.sh: changed back local user admin when
    joining Windows Host (Bug #37568).

 -- Dmitry Galkin <galkin@univention.de>  Mon, 23 Feb 2015 17:02:23 +0100

ucs-ec2-tools (1.0.9-3) unstable; urgency=low

  * examples/jenkins/autotest-230-master-s4-w2k12-member-join.cfg: do not
    install unused packages (Bug #37568).

 -- Dmitry Galkin <galkin@univention.de>  Mon, 23 Feb 2015 10:54:48 +0100

ucs-ec2-tools (1.0.9-2) unstable; urgency=low

  * examples/jenkins/autotest-230-master-s4-w2k12-member-join.cfg: removed
    extra local sleep (Bug #37568).

 -- Dmitry Galkin <galkin@univention.de>  Fri, 20 Feb 2015 16:50:42 +0100

ucs-ec2-tools (1.0.9-1) unstable; urgency=medium

  * examples/jenkins/autotest-230-master-s4-w2k12-member-join.cfg:
    install GPMC on Windows Server before running GPO tests (Bug #37568).

 -- Dmitry Galkin <galkin@univention.de>  Fri, 20 Feb 2015 16:44:09 +0100

ucs-ec2-tools (1.0.8-1) unstable; urgency=low

  * examples/jenkins/utils/utils.sh: added function to install GPMC on
    Windows Host (Bug #37568).

 -- Dmitry Galkin <galkin@univention.de>  Fri, 20 Feb 2015 16:34:49 +0100

ucs-ec2-tools (1.0.7-1) unstable; urgency=low

  * examples/jenkins/utils/utils.sh: run join of Windows Server with
    'Administrator' user (Bug #37568).

 -- Dmitry Galkin <galkin@univention.de>  Fri, 20 Feb 2015 15:33:02 +0100

ucs-ec2-tools (1.0.6-1) unstable; urgency=low

  * examples/jenkins/autotest-230-master-s4-w2k12-member-join.cfg:
    fixed typo "...memeberserver" (Bug #37568).

 -- Dmitry Galkin <galkin@univention.de>  Fri, 20 Feb 2015 14:41:04 +0100

ucs-ec2-tools (1.0.5-1) unstable; urgency=low

  * examples/jenkins/autotest-230-master-s4-w2k12-member-join.cfg: a template
    with Windows 2012 joined to UCS with Samba4 for GPO tests (Bug #37568).

 -- Dmitry Galkin <galkin@univention.de>  Tue, 17 Feb 2015 18:02:55 +0100

ucs-ec2-tools (1.0.4-1) unstable; urgency=low

  * jenkins/utils/utils.sh: added function to run Windows GPO tests (Bug #37568).

 -- Dmitry Galkin <galkin@univention.de>  Tue, 17 Feb 2015 12:17:10 +0100

ucs-ec2-tools (1.0.3-4) unstable; urgency=low

  * Bug #37783: Switch to UCS-4.0-1 AMI.
  * Revert r57844 to no longer use testing for all tests.

 -- Philipp Hahn <hahn@univention.de>  Thu, 12 Feb 2015 09:04:59 +0100

ucs-ec2-tools (1.0.3-3) unstable; urgency=low

  * Bug #37659: Rename UCS-4.0-1 tests

 -- Philipp Hahn <hahn@univention.de>  Tue, 10 Feb 2015 09:23:28 +0100

ucs-ec2-tools (1.0.3-2) unstable; urgency=low

  * Bug #37659: UCS-4.0-1 Tests

 -- Philipp Hahn <hahn@univention.de>  Mon, 09 Feb 2015 09:39:28 +0100

ucs-ec2-tools (1.0.3-1) unstable; urgency=low

  * Bug #37659: UCS-4.0-1 Tests

 -- Philipp Hahn <hahn@univention.de>  Fri, 06 Feb 2015 14:48:41 +0100

ucs-ec2-tools (1.0.2-7) unstable; urgency=low

  * Bug #37568: added functions to reboot a remote windows host and
    to join a remote windows server as a memberserver.

 -- Dmitry Galkin <galkin@univention.de>  Fri, 30 Jan 2015 15:56:22 +0100

ucs-ec2-tools (1.0.2-6) unstable; urgency=low

  * Bug #35096: fixed setting new password after 
    domain admin password check in examples/jenkins/utils/ad-join.py

 -- Drees Dormann <dormann@univention.de>  Wed, 21 Jan 2015 16:33:48 +0100

ucs-ec2-tools (1.0.2-5) unstable; urgency=medium

  * Bug #37450: Test CamelCase base DN in autotest-*-admember-*-w2k8r2-english
  * Bug #33110: Test CamelCase base DN in autotest-091-master-s4

 -- Arvid Requate <requate@univention.de>  Wed, 21 Jan 2015 11:16:50 +0100

ucs-ec2-tools (1.0.2-4) unstable; urgency=low

  * Bug #35856: corrected check_correct_* functions in
    examples/jenkins/utils/ad-join.py

 -- Drees Dormann <dormann@univention.de>  Tue, 16 Dec 2014 12:08:30 +0100

ucs-ec2-tools (1.0.2-3) unstable; urgency=low

  * Bug #37323: Remove univention-bacula from profiles

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 12 Dec 2014 15:39:08 +0100

ucs-ec2-tools (1.0.2-2) unstable; urgency=low

  * Bug #35856, examples/jenkins/utils/ad-join.py:
    ad-join will now wait until the join is finished, also checks
    domain admin passwords and username stored for ucs-test and 
    corrects them if needed

 -- Drees Dormann <dormann@univention.de>  Fri, 12 Dec 2014 11:19:42 +0100

ucs-ec2-tools (1.0.2-1) unstable; urgency=low

  * Bug #36886: Switch to UCS-4.0-0 AMIs.
  * Bug #36889: Switch back to official repository.

 -- Philipp Hahn <hahn@univention.de>  Thu, 20 Nov 2014 09:13:21 +0100

ucs-ec2-tools (1.0.1-12) unstable; urgency=low

  * examples/jenkins/autotest-220-ad-win2k8-master.cfg:
     now setting gateway on windows host
     added ~/ec2/scripts/activate-3.2-errata-test-scope.sh to file list and
     changed upgrade_to_latest_errata to upgrade_to_latest_test_errata
     added execution of ad-join.py
     added execution of ucs-test
     (Bug #35913)

 -- Drees Dormann <dormann@univention.de>  Tue, 14 Oct 2014 09:03:00 +0200

ucs-ec2-tools (1.0.1-11) unstable; urgency=low

  * added examples/jenkins/utils/ad-join.py for automatically
    joining an ad domain (Bug #35856)

 -- Drees Dormann <dormann@univention.de>  Mon, 06 Oct 2014 14:58:52 +0200

ucs-ec2-tools (1.0.1-10) unstable; urgency=low
  * merged missing commit 53779 from 3.2-3 svn
  * python/ec2/lib.py added '-PN' to python-nmap command (Bug #35850)
  * added examples/jenkins/autotest-220-ad-win2k8-master.cfg (Bug #35913)

 -- Drees Dormann <dormann@univention.de>  Fri, 19 Sep 2014 11:58:24 +0200

ucs-ec2-tools (1.0.1-9) unstable; urgency=low

  * utils.sh:
    changed naming scheme of functions:
    promote_ad_win_2k8 -> promote_ad_w2k8
  * python/ec2/lib.py:
    in def run_commands changed if not self._is_windows
    to if not self.commands
    (Bug #35855)

 -- Drees Dormann <dormann@univention.de>  Thu, 25 Sep 2014 17:22:01 +0200

ucs-ec2-tools (1.0.1-8) unstable; urgency=low

  * utils.sh:
     promote_ad_win is now using python / ps scripts from
     ucs-windows-tools
     added function to shutdown remote windows host
     removed unneeded functions
     (Bug #35855)
  * adjusted examples/jenkins/autotest-220-ad-win2k8-master.cfg
    (Bug #35913)

 -- Drees Dormann <dormann@univention.de>  Wed, 24 Sep 2014 12:09:24 +0200

ucs-ec2-tools (1.0.1-7) unstable; urgency=low

  * python/ec2/lib.py: prohibit execution of run_commands for windows vm's
    (Bug #35850)

 -- Drees Dormann <dormann@univention.de>  Fri, 19 Sep 2014 13:23:12 +0200

ucs-ec2-tools (1.0.1-6) unstable; urgency=low

  * /python/ec2/lib.py: fixed wrong port format in def connect
    (Bug #35850)

 -- Drees Dormann <dormann@univention.de>  Thu, 18 Sep 2014 11:08:59 +0200

ucs-ec2-tools (1.0.1-5) unstable; urgency=low

  * added function promote_ad_windows tu utils.sh ( for promoting
    an win2k8/2k12 server to ad-domaincontroller ) (Bug #35855)

 -- Drees Dormann <dormann@univention.de>  Thu, 18 Sep 2014 09:50:53 +0200

ucs-ec2-tools (1.0.1-4) unstable; urgency=low

  * Bug #35767: Switch to updated UCS-4.0 EC2 AMI
  * Bug #35733: Re-enable reboot

 -- Philipp Hahn <hahn@univention.de>  Tue, 16 Sep 2014 17:23:37 +0200

ucs-ec2-tools (1.0.1-3) unstable; urgency=low

  * ucs-ec2-create: upon creating a windows vm instead of an initial connect
    ports 139 and 445 are scanned to se if vm is reachable (Bug #35850)
  * utils.sh: added function install_ucs_windows_tools (Bug #35854)

 -- Drees Dormann <dormann@univention.de>  Thu, 11 Sep 2014 16:14:28 +0200

ucs-ec2-tools (1.0.1-2) unstable; urgency=low

  * Bug #35148: Fix UCS-4.0 adaption
  * Bug #35733: Fix reboot for broken pre-UCS-4.0-interim1 EC2 images

 -- Philipp Hahn <hahn@univention.de>  Tue, 02 Sep 2014 14:12:06 +0200

ucs-ec2-tools (1.0.1-1) unstable; urgency=low

  * Bug #35744: Usability improvements

 -- Philipp Hahn <hahn@univention.de>  Fri, 29 Aug 2014 09:22:01 +0200

ucs-ec2-tools (1.0.0-1) unstable; urgency=low

  * Starting UCS 4.0 development (Bug #35148)

 -- Alexander Kramer <kramer@univention.de>  Wed, 23 Jul 2014 07:54:23 +0200

ucs-ec2-tools (0.1.21-1) unstable; urgency=low

  * Bug #35437: added automatic KVM detection in utils.sh

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Wed, 23 Jul 2014 08:37:12 +0200

ucs-ec2-tools (0.1.20-2) unstable; urgency=low

  * examples/jenkins/autotest-*.cfg: copy the ~/ec2/license/license.secret
    file to access the license shop from autotest envs (Bug #35205)

 -- Dmitry Galkin <galkin@univention.de>  Fri, 04 Jul 2014 13:00:56 +0200

ucs-ec2-tools (0.1.20-1) unstable; urgency=low

  * Increase EC2 connection timeout (Bug #34866)

 -- Stefan Gohmann <gohmann@univention.de>  Mon, 19 May 2014 10:45:42 +0200

ucs-ec2-tools (0.1.19-1) unstable; urgency=low

  * Bug #26137: added utils-local.sh

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Tue, 06 May 2014 09:52:18 +0200

ucs-ec2-tools (0.1.18-1) unstable; urgency=medium

  * Raise samba/debug/level also on s4 master for Bug #33904

 -- Arvid Requate <requate@univention.de>  Fri, 28 Mar 2014 17:48:11 +0100

ucs-ec2-tools (0.1.17-2) unstable; urgency=low

  * Add missing APP_ID to install_apps_test_packages (Bug #32799)

 -- Philipp Hahn <hahn@univention.de>  Thu, 13 Mar 2014 14:10:01 +0100

ucs-ec2-tools (0.1.17-1) unstable; urgency=low

  * Fix utils.sh (Bug #34336)

 -- Philipp Hahn <hahn@univention.de>  Thu, 13 Mar 2014 12:03:44 +0100

ucs-ec2-tools (0.1.16-1) unstable; urgency=low

  * Increase the timeout to 1200 seconds while waiting for the EC2
    instance (Bug #33841)

 -- Stefan Gohmann <gohmann@univention.de>  Thu, 06 Feb 2014 20:13:02 +0100

ucs-ec2-tools (0.1.15-1) unstable; urgency=medium

  * Raise samba/debug/level on s4 backup and s4 slave for Bug #33904

 -- Arvid Requate <requate@univention.de>  Thu, 30 Jan 2014 14:37:18 +0100

ucs-ec2-tools (0.1.14-1) unstable; urgency=low

  * Re-enable UCR cron jobs on test VMs (Bug #31773)

 -- Philipp Hahn <hahn@univention.de>  Thu, 31 Oct 2013 10:07:27 +0100

ucs-ec2-tools (0.1.13-1) unstable; urgency=low

  * Rename utils lib to utils.sh and add copyright headers(Bug #32798)

 -- Stefan Gohmann <gohmann@univention.de>  Thu, 31 Oct 2013 09:26:39 +0100

ucs-ec2-tools (0.1.12-1) unstable; urgency=low

  * Disable normal cron jobs on test VMs to prevent concurrent updates (Bug #31773)

 -- Philipp Hahn <hahn@univention.de>  Wed, 30 Oct 2013 18:04:01 +0100

ucs-ec2-tools (0.1.11-1) unstable; urgency=low

  * fixed common spelling mistakes (Bug #32662)

 -- Lukas Walter <walter@univention.de>  Wed, 09 Oct 2013 13:05:07 +0200

ucs-ec2-tools (0.1.10-1) unstable; urgency=low

  * Increase default timeout from 300 to 600 seconds (Bug #32809)

 -- Stefan Gohmann <gohmann@univention.de>  Sun, 06 Oct 2013 15:07:22 +0200

ucs-ec2-tools (0.1.9-8) unstable; urgency=low

  * Bug #32165: make sure that only one instance is created via ucs-kt-get
  * Bug #32165: read actual name of instance from result file of ucs-kt-geta

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Fri, 23 Aug 2013 16:05:22 +0200

ucs-ec2-tools (0.1.9-7) unstable; urgency=low

  * Bug #32165: updated kvm examples

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Thu, 22 Aug 2013 15:18:58 +0200

ucs-ec2-tools (0.1.9-6) unstable; urgency=low

  * Bug #32165: updated kvm examples

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Thu, 22 Aug 2013 12:03:30 +0200

ucs-ec2-tools (0.1.9-5) unstable; urgency=low

  * Bug #32165: merge updates from ucs-ec2-create into ucs-kvm-create
  * added a bunch of improvements for ucs-kvm-create and univention.ec2.lib

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Wed, 21 Aug 2013 14:16:25 +0200

ucs-ec2-tools (0.1.9-4) unstable; urgency=low

  * Bug #32164: load univention.ec2.lib from local path primarily

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Wed, 07 Aug 2013 14:52:36 +0200

ucs-ec2-tools (0.1.9-3) unstable; urgency=low

  * Bug #32164: fixed typo in univention.ec2.lib

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Tue, 06 Aug 2013 15:40:56 +0200

ucs-ec2-tools (0.1.9-2) unstable; urgency=low

  * Bug #32164: fixed path to ucs-kt-get

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Tue, 06 Aug 2013 15:19:48 +0200

ucs-ec2-tools (0.1.9-1) unstable; urgency=low

  * Bug #32164: added ucs-kvm-create

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Tue, 06 Aug 2013 15:00:05 +0200

ucs-ec2-tools (0.1.8-1) unstable; urgency=low

  * Tag instances with Jenkins informations (Bug #31283)
  * Set delete-on-terminate for manual EBS devices.

 -- Philipp Hahn <hahn@univention.de>  Fri, 26 Jul 2013 15:13:17 +0200

ucs-ec2-tools (0.1.7-6) unstable; urgency=low

  * Undo commit: "Try to catch 'Connection reset by peer (104)' errors"
    (Bug #31283)

 -- Stefan Gohmann <gohmann@univention.de>  Thu, 18 Jul 2013 08:33:23 +0200

ucs-ec2-tools (0.1.7-5) unstable; urgency=low

  * Try to catch 'Connection reset by peer (104)' errors while preparing
    EC2 instances (Bug #31283)

 -- Stefan Gohmann <gohmann@univention.de>  Thu, 18 Jul 2013 08:02:42 +0200

ucs-ec2-tools (0.1.7-4) unstable; urgency=low

  * Import the logging module, the paramiko module uses it (Bug #31283)

 -- Stefan Gohmann <gohmann@univention.de>  Thu, 18 Jul 2013 06:51:50 +0200

ucs-ec2-tools (0.1.7-3) unstable; urgency=low

  * Added support for a partition size in cfg file. This is needed for the
    performance tests to prevent no space left on device (Bug #31283)

 -- Stefan Gohmann <gohmann@univention.de>  Thu, 11 Jul 2013 08:56:33 +0200

ucs-ec2-tools (0.1.7-2) unstable; urgency=low

  * Use security group SSH and HTTP for public instance (Bug #31283)

 -- Stefan Gohmann <gohmann@univention.de>  Tue, 09 Jul 2013 11:53:55 +0200

ucs-ec2-tools (0.1.7-1) unstable; urgency=low

  * Read config in defined order (Bug #31283)

 -- Stefan Gohmann <gohmann@univention.de>  Mon, 24 Jun 2013 09:27:23 +0200

ucs-ec2-tools (0.1.6-1) unstable; urgency=low

  * Set updater/identify to UCS (EC2 Test) (Bug #31283)

 -- Stefan Gohmann <gohmann@univention.de>  Fri, 21 Jun 2013 07:00:51 +0200

ucs-ec2-tools (0.1.5-1) unstable; urgency=low

  * jenkins examples: fixed typo in the domainname (Bug #31775)

 -- Tobias Peters <peters@univention.de>  Thu, 20 Jun 2013 11:29:23 +0200

ucs-ec2-tools (0.1.4-7) unstable; urgency=low

  * Switch to m1.medium for ec2 examples (Bug #31283)

 -- Stefan Gohmann <gohmann@univention.de>  Sat, 15 Jun 2013 17:09:29 +0200

ucs-ec2-tools (0.1.4-6) unstable; urgency=low

  * jenkins examples: start ucs-test in UTF-8 env (Bug #31283)

 -- Stefan Gohmann <gohmann@univention.de>  Fri, 14 Jun 2013 11:48:01 +0200

ucs-ec2-tools (0.1.4-5) unstable; urgency=low

  * jenkins examples: use ssh key for scp commands (Bug #31283)

 -- Stefan Gohmann <gohmann@univention.de>  Fri, 14 Jun 2013 11:44:51 +0200

ucs-ec2-tools (0.1.4-4) unstable; urgency=low

  * Copy jenkins test-reports directory too (Bug #31283)

 -- Stefan Gohmann <gohmann@univention.de>  Fri, 14 Jun 2013 09:42:11 +0200

ucs-ec2-tools (0.1.4-3) unstable; urgency=low

  * Added jenkins examples (Bug #31283)

 -- Stefan Gohmann <gohmann@univention.de>  Fri, 14 Jun 2013 09:10:13 +0200

ucs-ec2-tools (0.1.4-2) unstable; urgency=low

  * Added locale/default to the templates
  * Updated examples
  * Fixed a logger typo (Bug #31283)

 -- Stefan Gohmann <gohmann@univention.de>  Thu, 13 Jun 2013 14:56:07 +0200

ucs-ec2-tools (0.1.4-1) unstable; urgency=low

  * Support local commands
  * Dump tracebacks to the logfile
  * Reconnect if the SSH session disconnected
  * Also replace the [hostname_IP] string in the command list for
    example to allow a file copy from the remote machine to the local
  (Bug #31283)

 -- Stefan Gohmann <gohmann@univention.de>  Fri, 07 Jun 2013 06:04:15 +0200

ucs-ec2-tools (0.1.3-1) unstable; urgency=low

  * Fixed NAT timeout by activating ssh keep alive (Bug #31283)

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Wed, 29 May 2013 10:16:30 +0200

ucs-ec2-tools (0.1.2-3) unstable; urgency=low

  * Restart UMC after system setup is finished (Bug #31283)

 -- Stefan Gohmann <gohmann@univention.de>  Fri, 17 May 2013 12:21:36 +0200

ucs-ec2-tools (0.1.2-2) unstable; urgency=low

  * Depend at least on python-boto > 2.2.2 (Bug #31283)

 -- Stefan Gohmann <gohmann@univention.de>  Fri, 17 May 2013 11:48:27 +0200

ucs-ec2-tools (0.1.2-1) unstable; urgency=low

  * Support VPC (Bug #31283)

 -- Stefan Gohmann <gohmann@univention.de>  Fri, 17 May 2013 11:08:03 +0200

ucs-ec2-tools (0.1.1-1) unstable; urgency=low

  * Initial Release (Bug #31283)

 -- Stefan Gohmann <gohmann@univention.de>  Thu, 09 May 2013 11:23:04 +0200
